# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

#### Public Classes

* [`r10k`](#r10k): This class configures r10k
* [`r10k::install::bundle`](#r10k--install--bundle): This class installs the r10k bundle
* [`r10k::install::gem`](#r10k--install--gem): Install the r10k gem using system ruby
* [`r10k::install::puppet_gem`](#r10k--install--puppet_gem): This class links the r10k binary for Puppet FOSS 4.2 and up
* [`r10k::mcollective`](#r10k--mcollective): Install the r10k mcollective agent
* [`r10k::mcollective::application`](#r10k--mcollective--application): Install the r10k mcollective application to a client
* [`r10k::params`](#r10k--params): Reasonable defaults for all classes
* [`r10k::postrun_command`](#r10k--postrun_command): This class will configure r10k to run as part of the masters agent run
* [`r10k::prerun_command`](#r10k--prerun_command): This class will configure r10k to run as part of the masters agent run
* [`r10k::webhook`](#r10k--webhook): install and configure the webhook-go package as local webhook receiver to trigger r10k runs
* [`r10k::webhook::config`](#r10k--webhook--config): Class: r10k::webhook::config
* [`r10k::webhook::package`](#r10k--webhook--package): Class: r10k::webhook::package
* [`r10k::webhook::service`](#r10k--webhook--service): Class: r10k::webhook::service

#### Private Classes

* `r10k::config`: Set up the root r10k config file (/etc/r10k.yaml).
* `r10k::install`: This class is used by the ruby or pe_ruby class

### Data types

* [`R10k::Webhook::Config`](#R10k--Webhook--Config): webhook config type
* [`R10k::Webhook::Config::Chatops`](#R10k--Webhook--Config--Chatops): webhook config chatops type
* [`R10k::Webhook::Config::R10k`](#R10k--Webhook--Config--R10k): webhook config r10k type
* [`R10k::Webhook::Config::Server`](#R10k--Webhook--Config--Server): webhook config server type
* [`R10k::Webhook::Config::Server::Tls`](#R10k--Webhook--Config--Server--Tls): webhook config server tls type

### Tasks

* [`deploy`](#deploy): Trigger an r10k deployment.

## Classes

### <a name="r10k"></a>`r10k`

This class configures r10k

#### Parameters

The following parameters are available in the `r10k` class:

* [`remote`](#-r10k--remote)
* [`configfile`](#-r10k--configfile)
* [`version`](#-r10k--version)
* [`puppet_master`](#-r10k--puppet_master)
* [`modulepath`](#-r10k--modulepath)
* [`manage_modulepath`](#-r10k--manage_modulepath)
* [`manage_ruby_dependency`](#-r10k--manage_ruby_dependency)
* [`r10k_basedir`](#-r10k--r10k_basedir)
* [`package_name`](#-r10k--package_name)
* [`provider`](#-r10k--provider)
* [`gentoo_keywords`](#-r10k--gentoo_keywords)
* [`install_options`](#-r10k--install_options)
* [`mcollective`](#-r10k--mcollective)
* [`git_settings`](#-r10k--git_settings)
* [`deploy_settings`](#-r10k--deploy_settings)
* [`root_user`](#-r10k--root_user)
* [`gem_source`](#-r10k--gem_source)
* [`root_group`](#-r10k--root_group)
* [`include_prerun_command`](#-r10k--include_prerun_command)
* [`include_postrun_command`](#-r10k--include_postrun_command)
* [`puppetconf_path`](#-r10k--puppetconf_path)
* [`cachedir`](#-r10k--cachedir)
* [`sources`](#-r10k--sources)
* [`postrun`](#-r10k--postrun)
* [`manage_configfile_symlink`](#-r10k--manage_configfile_symlink)
* [`configfile_symlink`](#-r10k--configfile_symlink)
* [`forge_settings`](#-r10k--forge_settings)
* [`proxy`](#-r10k--proxy)
* [`pool_size`](#-r10k--pool_size)
* [`ensure`](#-r10k--ensure)

##### <a name="-r10k--remote"></a>`remote`

Data type: `String[1]`



Default value: `$r10k::params::remote`

##### <a name="-r10k--configfile"></a>`configfile`

Data type: `Stdlib::Absolutepath`



Default value: `'/etc/puppetlabs/r10k/r10k.yaml'`

##### <a name="-r10k--version"></a>`version`

Data type: `String[1]`



Default value: `$r10k::params::version`

##### <a name="-r10k--puppet_master"></a>`puppet_master`

Data type: `Boolean`



Default value: `$r10k::params::puppet_master`

##### <a name="-r10k--modulepath"></a>`modulepath`

Data type: `String[1]`



Default value: `$r10k::params::modulepath`

##### <a name="-r10k--manage_modulepath"></a>`manage_modulepath`

Data type: `Boolean`



Default value: `$r10k::params::manage_modulepath`

##### <a name="-r10k--manage_ruby_dependency"></a>`manage_ruby_dependency`

Data type: `Enum['include','declare','ignore']`



Default value: `$r10k::params::manage_ruby_dependency`

##### <a name="-r10k--r10k_basedir"></a>`r10k_basedir`

Data type: `Stdlib::Absolutepath`



Default value: `$r10k::params::r10k_basedir`

##### <a name="-r10k--package_name"></a>`package_name`

Data type: `String[1]`



Default value: `$r10k::params::package_name`

##### <a name="-r10k--provider"></a>`provider`

Data type: `String[1]`



Default value: `$r10k::params::provider`

##### <a name="-r10k--gentoo_keywords"></a>`gentoo_keywords`

Data type: `String`



Default value: `''`

##### <a name="-r10k--install_options"></a>`install_options`

Data type: `Variant[Array,String]`



Default value: `[]`

##### <a name="-r10k--mcollective"></a>`mcollective`

Data type: `Boolean`



Default value: `$r10k::params::mcollective`

##### <a name="-r10k--git_settings"></a>`git_settings`

Data type: `Optional[Hash]`



Default value: `undef`

##### <a name="-r10k--deploy_settings"></a>`deploy_settings`

Data type: `Hash`



Default value: `{ 'generate_types' => true, 'exclude_spec' => true, }`

##### <a name="-r10k--root_user"></a>`root_user`

Data type: `String[1]`



Default value: `$r10k::params::root_user`

##### <a name="-r10k--gem_source"></a>`gem_source`

Data type: `Optional[String[1]]`



Default value: `undef`

##### <a name="-r10k--root_group"></a>`root_group`

Data type: `String[1]`



Default value: `$r10k::params::root_group`

##### <a name="-r10k--include_prerun_command"></a>`include_prerun_command`

Data type: `Boolean`



Default value: `false`

##### <a name="-r10k--include_postrun_command"></a>`include_postrun_command`

Data type: `Boolean`



Default value: `false`

##### <a name="-r10k--puppetconf_path"></a>`puppetconf_path`

Data type: `Stdlib::Absolutepath`



Default value: `$r10k::params::puppetconf_path`

##### <a name="-r10k--cachedir"></a>`cachedir`

Data type: `Stdlib::Absolutepath`

Path to a directory to be used by r10k for caching data

Default value: `"${facts['puppet_vardir']}/r10k"`

##### <a name="-r10k--sources"></a>`sources`

Data type: `Optional[Hash]`

Hash containing data sources to be used by r10k to create dynamic Puppet environments

Default value: `undef`

##### <a name="-r10k--postrun"></a>`postrun`

Data type: `Optional[Array[String[1]]]`

Array containing the parts of a system call Example: ['/usr/bin/curl', '-F', 'deploy=done', 'http://my-app.site/endpoint']

Default value: `undef`

##### <a name="-r10k--manage_configfile_symlink"></a>`manage_configfile_symlink`

Data type: `Boolean`

determine if a symlink to the r10k config file is to be managed

Default value: `false`

##### <a name="-r10k--configfile_symlink"></a>`configfile_symlink`

Data type: `Stdlib::Absolutepath`

Location of symlink that points to configfile

Default value: `'/etc/r10k.yaml'`

##### <a name="-r10k--forge_settings"></a>`forge_settings`

Data type: `Optional[Hash]`

Hash containing settings for downloading modules from the Puppet Forge

Default value: `undef`

##### <a name="-r10k--proxy"></a>`proxy`

Data type: `Optional[String[1]]`

String containing proxy setting for r10k.yaml

Default value: `undef`

##### <a name="-r10k--pool_size"></a>`pool_size`

Data type: `Integer[1]`

Integer defining how many threads should be spawn while updating modules

Default value: `$facts['processors']['count']`

##### <a name="-r10k--ensure"></a>`ensure`

Data type: `Enum['absent','present']`

if r10k should be installed or purged

Default value: `'present'`

### <a name="r10k--install--bundle"></a>`r10k::install::bundle`

This class installs the r10k bundle

#### Parameters

The following parameters are available in the `r10k::install::bundle` class:

* [`revision`](#-r10k--install--bundle--revision)
* [`source`](#-r10k--install--bundle--source)

##### <a name="-r10k--install--bundle--revision"></a>`revision`

Data type: `String[1]`



Default value: `'master'`

##### <a name="-r10k--install--bundle--source"></a>`source`

Data type: `String[1]`



Default value: `'https://github.com/adrienthebo/r10k.git'`

### <a name="r10k--install--gem"></a>`r10k::install::gem`

Install the r10k gem using system ruby

#### Parameters

The following parameters are available in the `r10k::install::gem` class:

* [`manage_ruby_dependency`](#-r10k--install--gem--manage_ruby_dependency)
* [`version`](#-r10k--install--gem--version)

##### <a name="-r10k--install--gem--manage_ruby_dependency"></a>`manage_ruby_dependency`

Data type: `String[1]`



##### <a name="-r10k--install--gem--version"></a>`version`

Data type: `String[1]`

R10k gem version

### <a name="r10k--install--puppet_gem"></a>`r10k::install::puppet_gem`

This class links the r10k binary for Puppet FOSS 4.2 and up

### <a name="r10k--mcollective"></a>`r10k::mcollective`

Install the r10k mcollective agent

#### Parameters

The following parameters are available in the `r10k::mcollective` class:

* [`ensure`](#-r10k--mcollective--ensure)
* [`server`](#-r10k--mcollective--server)
* [`client`](#-r10k--mcollective--client)
* [`http_proxy`](#-r10k--mcollective--http_proxy)
* [`policies`](#-r10k--mcollective--policies)

##### <a name="-r10k--mcollective--ensure"></a>`ensure`

Data type: `String[1]`



Default value: `'present'`

##### <a name="-r10k--mcollective--server"></a>`server`

Data type: `Boolean`



Default value: `true`

##### <a name="-r10k--mcollective--client"></a>`client`

Data type: `Boolean`



Default value: `true`

##### <a name="-r10k--mcollective--http_proxy"></a>`http_proxy`

Data type: `String`



Default value: `''`

##### <a name="-r10k--mcollective--policies"></a>`policies`

Data type: `Array`



Default value: `[]`

### <a name="r10k--mcollective--application"></a>`r10k::mcollective::application`

Install the r10k mcollective application to a client

#### Parameters

The following parameters are available in the `r10k::mcollective::application` class:

* [`agent_name`](#-r10k--mcollective--application--agent_name)
* [`app_name`](#-r10k--mcollective--application--app_name)
* [`agent_ddl`](#-r10k--mcollective--application--agent_ddl)
* [`agent_path`](#-r10k--mcollective--application--agent_path)
* [`app_path`](#-r10k--mcollective--application--app_path)
* [`mc_service`](#-r10k--mcollective--application--mc_service)

##### <a name="-r10k--mcollective--application--agent_name"></a>`agent_name`

Data type: `Optional[String]`



Default value: `$r10k::params::mc_agent_name`

##### <a name="-r10k--mcollective--application--app_name"></a>`app_name`

Data type: `Optional[String]`



Default value: `$r10k::params::mc_app_name`

##### <a name="-r10k--mcollective--application--agent_ddl"></a>`agent_ddl`

Data type: `Optional[String]`



Default value: `$r10k::params::mc_agent_ddl_name`

##### <a name="-r10k--mcollective--application--agent_path"></a>`agent_path`

Data type: `Optional[String]`



Default value: `$r10k::params::mc_agent_path`

##### <a name="-r10k--mcollective--application--app_path"></a>`app_path`

Data type: `Optional[String]`



Default value: `$r10k::params::mc_application_path`

##### <a name="-r10k--mcollective--application--mc_service"></a>`mc_service`

Data type: `Optional[String]`



Default value: `$r10k::params::mc_service_name`

### <a name="r10k--params"></a>`r10k::params`

Reasonable defaults for all classes

### <a name="r10k--postrun_command"></a>`r10k::postrun_command`

This class will configure r10k to run as part of the masters agent run

#### Parameters

The following parameters are available in the `r10k::postrun_command` class:

* [`command`](#-r10k--postrun_command--command)
* [`ensure`](#-r10k--postrun_command--ensure)

##### <a name="-r10k--postrun_command--command"></a>`command`

Data type: `String[1]`



Default value: `$r10k::params::pre_postrun_command`

##### <a name="-r10k--postrun_command--ensure"></a>`ensure`

Data type: `Enum['present', 'absent']`



Default value: `'present'`

### <a name="r10k--prerun_command"></a>`r10k::prerun_command`

This class will configure r10k to run as part of the masters agent run

#### Parameters

The following parameters are available in the `r10k::prerun_command` class:

* [`command`](#-r10k--prerun_command--command)
* [`ensure`](#-r10k--prerun_command--ensure)

##### <a name="-r10k--prerun_command--command"></a>`command`

Data type: `String[1]`



Default value: `$r10k::params::pre_postrun_command`

##### <a name="-r10k--prerun_command--ensure"></a>`ensure`

Data type: `Enum['present', 'absent']`



Default value: `'present'`

### <a name="r10k--webhook"></a>`r10k::webhook`

install and configure the webhook-go package as local webhook receiver to trigger r10k runs

#### Parameters

The following parameters are available in the `r10k::webhook` class:

* [`install_method`](#-r10k--webhook--install_method)
* [`ensure`](#-r10k--webhook--ensure)
* [`version`](#-r10k--webhook--version)
* [`service_ensure`](#-r10k--webhook--service_ensure)
* [`service_enabled`](#-r10k--webhook--service_enabled)
* [`config_ensure`](#-r10k--webhook--config_ensure)
* [`config_path`](#-r10k--webhook--config_path)
* [`chatops`](#-r10k--webhook--chatops)
* [`tls`](#-r10k--webhook--tls)
* [`server`](#-r10k--webhook--server)
* [`r10k`](#-r10k--webhook--r10k)
* [`config`](#-r10k--webhook--config)

##### <a name="-r10k--webhook--install_method"></a>`install_method`

Data type: `Enum['package', 'repo', 'none']`

how the package should be installed

Default value: `'package'`

##### <a name="-r10k--webhook--ensure"></a>`ensure`

Data type: `Boolean`



Default value: `false`

##### <a name="-r10k--webhook--version"></a>`version`

Data type: `String`



Default value: `'2.2.0'`

##### <a name="-r10k--webhook--service_ensure"></a>`service_ensure`

Data type:

```puppet
Variant[
    Enum['running', 'stopped'],
    Boolean
  ]
```



Default value: `'running'`

##### <a name="-r10k--webhook--service_enabled"></a>`service_enabled`

Data type: `Boolean`



Default value: `true`

##### <a name="-r10k--webhook--config_ensure"></a>`config_ensure`

Data type: `String`



Default value: `'file'`

##### <a name="-r10k--webhook--config_path"></a>`config_path`

Data type: `String`



Default value: `'/etc/voxpupuli/webhook.yml'`

##### <a name="-r10k--webhook--chatops"></a>`chatops`

Data type: `R10k::Webhook::Config::ChatOps`



Default value:

```puppet
{
    enabled    => false,
    service    => undef,
    channel    => undef,
    user       => undef,
    auth_token => undef,
    server_uri => undef,
  }
```

##### <a name="-r10k--webhook--tls"></a>`tls`

Data type: `R10k::Webhook::Config::Server::Tls`



Default value:

```puppet
{
    enabled     => false,
    certificate => undef,
    key         => undef,
  }
```

##### <a name="-r10k--webhook--server"></a>`server`

Data type: `R10k::Webhook::Config::Server`



Default value:

```puppet
{
    protected => true,
    user      => 'puppet',
    password  => 'puppet',
    port      => 4000,
    tls       => $tls,
  }
```

##### <a name="-r10k--webhook--r10k"></a>`r10k`

Data type: `R10k::Webhook::Config::R10k`



Default value:

```puppet
{
    command_path    => '/opt/puppetlabs/puppet/bin/r10k',
    config_path     => '/etc/puppetlabs/r10k/r10k.yaml',
    default_branch  => 'production',
    prefix          => undef,
    allow_uppercase => false,
    verbose         => true,
    deploy_modules  => true,
    generate_types  => true,
  }
```

##### <a name="-r10k--webhook--config"></a>`config`

Data type: `R10k::Webhook::Config`



Default value:

```puppet
{
    server  => $server,
    chatops => $chatops,
    r10k    => $r10k,
  }
```

### <a name="r10k--webhook--config"></a>`r10k::webhook::config`

Class: r10k::webhook::config

### <a name="r10k--webhook--package"></a>`r10k::webhook::package`

Class: r10k::webhook::package

### <a name="r10k--webhook--service"></a>`r10k::webhook::service`

Class: r10k::webhook::service

## Data types

### <a name="R10k--Webhook--Config"></a>`R10k::Webhook::Config`

webhook config type

Alias of

```puppet
Struct[{
    server  => Optional[R10k::Webhook::Config::Server],
    chatops => Optional[R10k::Webhook::Config::Chatops],
    r10k    => Optional[R10k::Webhook::Config::R10k],
}]
```

### <a name="R10k--Webhook--Config--Chatops"></a>`R10k::Webhook::Config::Chatops`

webhook config chatops type

Alias of

```puppet
Struct[{
    enabled    => Boolean,
    service    => Optional[Enum['slack', 'rocketchat']],
    channel    => Optional[String[1]],
    user       => Optional[String[1]],
    auth_token => Optional[String[1]],
    server_uri => Optional[String[1]],
}]
```

### <a name="R10k--Webhook--Config--R10k"></a>`R10k::Webhook::Config::R10k`

webhook config r10k type

Alias of

```puppet
Struct[{
    command_path    => Optional[Stdlib::Absolutepath],
    config_path     => Optional[Stdlib::Absolutepath],
    default_branch  => Optional[String[1]],
    prefix          => Optional[String[1]],
    allow_uppercase => Optional[Boolean],
    verbose         => Optional[Boolean],
    deploy_modules  => Optional[Boolean],
    generate_types  => Optional[Boolean],
}]
```

### <a name="R10k--Webhook--Config--Server"></a>`R10k::Webhook::Config::Server`

webhook config server type

Alias of

```puppet
Struct[{
    protected => Boolean,
    user      => Optional[String[1]],
    password  => Optional[String[1]],
    port      => Optional[Stdlib::Port],
    tls       => Optional[R10k::Webhook::Config::Server::Tls],
}]
```

### <a name="R10k--Webhook--Config--Server--Tls"></a>`R10k::Webhook::Config::Server::Tls`

webhook config server tls type

Alias of

```puppet
Struct[{
    enabled     => Boolean,
    certificate => Optional[Stdlib::Absolutepath],
    key         => Optional[Stdlib::Absolutepath],
}]
```

## Tasks

### <a name="deploy"></a>`deploy`

Trigger an r10k deployment.

**Supports noop?** false

#### Parameters

##### `environment`

Data type: `Optional[Pattern[/\A[a-zA-Z0-9_]+\Z/]]`

The environment to deploy.

##### `environments`

Data type: `Optional[Pattern[/\A[a-zA-Z0-9_,]+\Z/]]`

A comma separated list of environments to deploy. Takes precedence over `environment`.

##### `module`

Data type: `Optional[Pattern[/\A[a-z0-9_]+\Z/]]`

A module to deploy across all environments.

##### `modules`

Data type: `Optional[Pattern[/\A[a-z0-9_,]+\Z/]]`

A comma separated list of modules to deploy. Takes precedence over `module`.

